Subject: [bug#30629] [PATCH 0/5] Detect missing modules in the initrd

From: Danny Milosavljevic <[email-masked]>
Date: Fri, 2 Mar 2018 12:42:15 +0100

Hi Ludo,

On Thu, 01 Mar 2018 22:20:09 +0100
[email-masked] (Ludovic Courtès) wrote:

> > Do you plan to implement depmod in Guile?  
> 
> I’m not sure what you mean exactly.  We have ‘module-dependencies’ and
> ‘recursive-module-dependencies’ in (gnu build linux-modules) to
> determine module dependencies by looking at the ELF files.  AFAICS we
> don’t need to generate modules.dep and map files, do we?

No, but modules.alias - but I guess we can also generate it and read the
information from the ELF files.

/sys/devices/.../modalias definitely contain aliases like pci:v00343...-
without alias resolving, it won't boot in the integrated version.